﻿<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>jquery030_event_key</title>
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>	
	var inputLength = 0;
	$(document).ready(function(event) {
		$('textarea').keyup(function() {
			inputLength = $(this).val().length;
			// 문서 객체에 입력합니다.
			$('p span').html(inputLength);
		});

		$('form').submit(function() {
			if (inputLength < 10) {
				alert('최소 10자 이상 입력하세요.');
				return false;
			}
		});
	});
</script>
</head>
<body>
	<form action="#">
		<div>
			<p>
				<span>0</span>/최소 10자이상
			</p>

			<textarea cols="70" rows="5"></textarea>
		</div>
		<input type="submit" value="commit" />
	</form>
</body>
</html>